/*
$echo     FILE:  lalr1_dp2.lex
$echo     A laLR1 grammar
$echo     from Deremer and Pennello paper
$echo     efficient computation: lalr(1) look-ahead sets
$echo     acm trans on prog lang and systems vol. 4 no. 4 oct 82
$echo     page 633
$echo Okay
*/
/@
@** |lalr1_dp2| grammar.\fbreak
    A laLR1 grammar
    from Deremer and Pennello paper
    efficient computation: lalr(1) look-ahead sets
    acm trans on prog lang and systems vol. 4 no. 4 oct 82
    page 633
@/
fsm	
  (fsm-id     "lalr1_dp2.lex",fsm-filename lalr1_dp2,fsm-namespace NS_lalr1_dp2
  ,fsm-class  Clalr1_dp2
  ,fsm-version  "1.0",fsm-date     "13-sep-97"
  ,fsm-debug    "true",fsm-comments "test out lr1")
@"/usr/local/yacco2/compiler/grammars/yacco2_T_includes.T"
rules
{ 
  Rlalr1_dp2(){ 
      -> RS1 eog 
    }

  RS1(){ 
      -> c d
      -> a RB d
      -> RC RB g
    }
	 
  RB(){ 
      -> RD RE 
    }
  
  RC(){ 
      -> c 
    }

  RD(){ 
      ->
    }
  
  RE(){ 
      -> 
    }
}	// end of grammar
